import { BrowserRouter, Route, Routes} from "react-router-dom";
import CatalogProducts from "./Pages/CatalogProducts";
import CatalogSuppliers from "./Pages/CatalogSuppliers";
import OrderPage from "./Pages/OrdersPage";
import CreateOrderPage from "./Pages/CreateOrderPage";
import Header from "./general/Header";
import SignUpPage from "./Pages/SignUpPage";
import LoginPage from "./Pages/LoginPage";
import PrivateRoutes from './utils/PrivateRoutes';
import UsersPage from "./Pages/UsersPage";
import GetSomeSuppliers from "./Pages/GetSomeSuppliers";

function App() {

  return (
    <BrowserRouter>
      <Header/>
      <div>
            <Routes>
              <Route element={<PrivateRoutes role={"USER"}/>}>
                <Route path="/" Component={CatalogProducts}/>
                <Route path="/products" Component={CatalogProducts} />
                <Route path="/suppliers" Component={CatalogSuppliers} />
                <Route path="/orders" Component={OrderPage} />
                <Route path="/createOrder" Component={CreateOrderPage} />
                <Route path="/getSupl" Component={GetSomeSuppliers} />
              </Route>
              <Route element={<PrivateRoutes role={"ADMIN"}/>}>
                <Route path="/Users" Component={UsersPage}/>
              </Route>
              <Route path="/Login" Component={LoginPage}/>
              <Route path="/Signup" Component={SignUpPage}/>
            </Routes>
        </div>
    </BrowserRouter>
  );
}

export default App;