import axios from "axios";
import UserSignUp from "./models/UserSignUp";
import UserLogin from "./models/UserLogin";

const API_URL = "http://localhost:8080";

const register = (username, password, passwordConfirm) => {
  return axios.post(API_URL + "/signup", new UserSignUp({login: username,
     password: password,
     passwordConfirm: passwordConfirm}));
};

const login = (username, password) => {
  return axios
    .post(API_URL + "/jwt/login", new UserLogin({login: username, password: password}))
    .then((response) => {
      if(response.status === 200){
        localStorage.setItem("token", response.data.token);
        localStorage.setItem("role", response.data.role);
        localStorage.setItem("login", response.data.login);
      }
    });
};

const logout = () => {
  localStorage.removeItem("token");
  localStorage.removeItem("role");
  localStorage.removeItem("login");
};
const AuthService = {
    register,
    login,
    logout,
  };

export default AuthService;