import { useState } from "react";
import { Link } from "react-router-dom";
import { useNavigate } from "react-router-dom";
import AuthService from "../AuthService";

export default function Header() {

    const navigate = useNavigate();

    const handleLogout = () =>{
      AuthService.logout();
      navigate("/Login");
      window.location.reload();
    };

    return (
        <nav className="navbar navbar-expand-lg bg-light">
            <div className="container-fluid">
                <h1 className="navbar-brand">Поставки</h1>
                <button className="navbar-toggler" type="button"
                    data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span className="navbar-toggler-icon"></span>
                </button>
                <div className="collapse navbar-collapse" id="navbarNav">
                    <ul className="navbar-nav"> 
                        <li className="nav-item">
                            <Link className="nav-link" to="/products">
                                Продукты
                            </Link>
                        </li>
                        <li className="nav-item">
                            <Link className="nav-link" to="/suppliers">
                                Поставщики
                            </Link>
                        </li>
                        <li className="nav-item">
                            <Link className="nav-link" to="/orders">
                                Заказы
                            </Link>
                        </li>

                        <li className="nav-item">
                            <Link className="nav-link" to="/getSupl">
                                Доп
                            </Link>
                        </li>

                        <li className="nav-item">
                            <Link className="nav-link" to="/Login">
                                Вход
                            </Link>
                        </li>
                    </ul>
                </div>
                <span className="col text-end">
            {typeof localStorage.getItem("role") === 'string' &&
              <Link className="nav-link" onClick={handleLogout} to={""}>
              {"Выход(" + localStorage.getItem("login") + ")"}
              </Link>
            }
          </span>
            </div>
            
        </nav >
    );
}